DOM::HTMLFrameSetElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLFrameSetElement Class Reference

Create a grid of frames. More...

`#include <html_base.h>`

Inheritance diagram for DOM::HTMLFrameSetElement:

[legend]
Collaboration diagram for DOM::HTMLFrameSetElement:

[legend]
List of all members.

## Public Member Functions
| HTMLFrameSetElement (const HTMLFrameSetElement &other)
| HTMLFrameSetElement (const Node &other)
HTMLFrameSetElement & | operator= (const HTMLFrameSetElement &other)
HTMLFrameSetElement & | operator= (const Node &other)
DOMString | cols () const
| The number of columns of frames in the frameset.
void | setCols (const DOMString &)
| see cols
DOMString | rows () const
| The number of rows of frames in the frameset.
void | setRows (const DOMString &)
| see rows
## Protected Member Functions
| HTMLFrameSetElement (HTMLFrameSetElementImpl *impl)

## Detailed Description

Create a grid of frames.

See the FRAMESET element definition in HTML 4.0.

Definition at line 308 of file html_base.h.

## Member Function Documentation

DOMString HTMLFrameSetElement::cols | ( |  | ) | const

| The number of columns of frames in the frameset. See the cols attribute definition in HTML 4.0. Definition at line 428 of file html_base.cpp.

void HTMLFrameSetElement::setCols | ( | const DOMString & |  | ) |

| see cols Definition at line 434 of file html_base.cpp.

DOMString HTMLFrameSetElement::rows | ( |  | ) | const

| The number of rows of frames in the frameset. See the rows attribute definition in HTML 4.0. Definition at line 439 of file html_base.cpp.

void HTMLFrameSetElement::setRows | ( | const DOMString & |  | ) |

| see rows Definition at line 445 of file html_base.cpp.

The documentation for this class was generated from the following files:

- html_base.h
- html_base.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:37:01 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001